<script>
import { mapActions } from 'vuex';

export default {
  name: 'app',
  data() {
    return {
      login: '',
      password: '',
    };
  },
  methods: {
    ...mapActions(['setUserData']),
    goToTodos() {
      this.$router.push('/todos');
    },
  },
  mounted() {
    this.login = JSON.parse(localStorage.getItem('login')) || [];
  },
  watch: {
    login(login) {
      localStorage.setItem('login', JSON.stringify(login));
    },
  },
};
</script>

<template>
  <div class="flex flex-col items-center">
    <router-link to="/">Home</router-link>
    <input
      placeholder="login"
      v-model="login"
      type="text"
      class="ring-offset-2 ring-2 mb-8"
    />
    <input
      placeholder="password"
      v-model="password"
      type="text"
      class="ring-offset-2 ring-2 mb-8"
    />
    <div v-on:click="setUserData(login)" class="ring-offset-2 ring-2">
      <router-link class="w-24 h-24" to="/todos">continue</router-link>
    </div>
  </div>
</template>
